Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

29.09.2006, 16:49

(gelöst) Nach Upgrade Samba 3.0.23c-1 auf 3.0.23c-2 startet nicht mehr

Verdammt. Habe heute beim ipkg update / upgrade jeweils zwei neue openldap und das neue Samba Paket installiert, aber seit startet der Samba nicht mehr (S80samba) und wirft folgenden Fehler:

Quellcode

1
2
3
4
Starting smbd:
/opt/sbin/smbd: error while loading shared libraries: liblber-2.2.so.7: cannot open shared object file: No such file or directory
Starting nmbd:
/opt/sbin/nmbd: error while loading shared libraries: liblber-2.2.so.7: cannot open shared object file: No such file or directory

Es gelingt mir auch nicht mit den verschieden Switches wieder die c-1 zu installieren. Es wird immer die c-2 nachgeladen:

Quellcode

1
2
3
4
5
6
bash-3.1# ipkg remove samba
bash-3.1# ipkg install http://ipkg.nslu2-linux.org/feeds/unslung/cross/samba_3.0.23c-1_armeb.ipk
Downloading http://ipkg.nslu2-linux.org/feeds/unslung/cross/samba_3.0.23c-1_armeb.ipk
Installing samba (3.0.23c-2) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/optware/nslu2/cross/stable/samba_3
.0.23c-2_armeb.ipk

Anzeigen

2

29.09.2006, 17:15

Als Workaround habe ich einen Link angelegt, aber das kanns doch nicht sein!

Quellcode

1
2
3
4
5
6
7
bash-3.1#cd /opt/lib
bash-3.1# ln  -s liblber.so liblber-2.2.so.7
bash-3.1# ls -al liblb*
lrwxrwxrwx    1 root     root           10 Sep 29 17:08 liblber-2.2.so.7 -> liblber.so
lrwxrwxrwx    1 root     root           21 Sep 29 16:17 liblber-2.3.so.0 -> liblber-2.3.so.0.2.15
-rw-r--r--    1 root     root        45024 Sep 27 22:06 liblber-2.3.so.0.2.15
lrwxrwxrwx    1 root     root           21 Sep 29 16:17 liblber.so -> liblber-2.3.so.0.2.15

Anzeigen

3

29.09.2006, 17:28

Wie ich gerade sehe habe ich noch ein ls-LR vom 24.9.2006. Da sah es so aus:

Quellcode

1
2
3
lrwxrwxrwx    1 root     root           21 Sep 17 16:07 liblber-2.2.so.7 -> liblber-2.2.so.7.0.19
-rw-r--r--    1 root     root        48112 Jul  5 14:15 liblber-2.2.so.7.0.19
lrwxrwxrwx    1 root     root           21 Sep 17 16:07 liblber.so -> liblber-2.2.so.7.0.19

trapperjohn

Fortgeschrittener

Beiträge: 558

Wohnort: Bremen

Beruf: SW-Entwickler

  • Nachricht senden

4

29.09.2006, 17:40

Scheint das gleiche Problem zu sein wie hier:
http://www.nslu2-info.de/showthread.php?t=4599

Ich würd einfach mal 1 oder 2 Tage warten ...
Gruß,
Flo

5

30.09.2006, 12:38

Yep, scheint mit dem Update gefixt:

bash-3.1# cd /opt/lib
bash-3.1# ls -al liblb*
lrwxrwxrwx 1 root root 10 Sep 29 17:08 liblber-2.2.so.7 -> liblber.so
lrwxrwxrwx 1 root root 21 Sep 29 16:17 liblber-2.3.so.0 -> liblber-2.3.so.0.2.15
-rw-r--r-- 1 root root 45024 Sep 27 22:06 liblber-2.3.so.0.2.15
lrwxrwxrwx 1 root root 21 Sep 29 16:17 liblber.so -> liblber-2.3.so.0.2.15
bash-3.1# rm liblber-2.2.so.7
bash-3.1# ls -al liblb*
lrwxrwxrwx 1 root root 21 Sep 29 16:17 liblber-2.3.so.0 -> liblber-2.3.so.0.2.15
-rw-r--r-- 1 root root 45024 Sep 27 22:06 liblber-2.3.so.0.2.15
lrwxrwxrwx 1 root root 21 Sep 29 16:17 liblber.so -> liblber-2.3.so.0.2.15
bash-3.1# ipkg upgrade
Upgrading openldap on root from 2.3.27-2 to 2.3.27-3...
Downloading http://ipkg.nslu2-linux.org/feeds/optwar….27-3_armeb.ipk
Upgrading openldap-libs on root from 2.3.27-2 to 2.3.27-3...
Downloading http://ipkg.nslu2-linux.org/feeds/optwar….27-3_armeb.ipk
Upgrading samba on root from 3.0.23c-2 to 3.0.23c-3...
Downloading http://ipkg.nslu2-linux.org/feeds/optwar…23c-3_armeb.ipk
[...]
bash-3.1# ls -al liblb*
lrwxrwxrwx 1 root root 21 Sep 30 12:25 liblber-2.3.so.0 -> liblber-2.3.so.0.2.15
-rw-r--r-- 1 root root 45016 Sep 30 10:37 liblber-2.3.so.0.2.15
lrwxrwxrwx 1 root root 21 Sep 30 12:25 liblber.so -> liblber-2.3.so.0.2.15
bash-3.1# /opt/etc/init.d/S80samba
Stopping smbd:
Stopping nmbd:
Starting smbd:
Starting nmbd:

geht!

Social Bookmarks